//------ create HTTP device on Project start
IR.AddListener(IR.EVENT_START, 0, function()
{
   IR.CreateDevice(IR.DEVICE_CUSTOM_HTTP_TCP, "DIS-REC", "192.168.0.66", 8080);		
});

//------ send command on Item Press
IR.AddListener(IR.EVENT_ITEM_PRESS, IR.GetItem("Page 1").GetItem("Item 9"),function()
{
   // command=StartRecording
   // answer: SUCCESS / FAILED
   IR.GetDevice("DIS-REC").SendEx({ 
         Type: "GET",        															
         Url:  "/Monarch/syncconnect/sdk.aspx?command=StartRecording",
         Headers: {},       
         cbReceiveText:       function(text, code, headers)  
         {
            IR.GetPage("Page 1").GetItem("Item 1").Text = text;              
         },
   });
}); 

//------ send command on Popup Show
IR.AddListener(IR.EVENT_ITEM_SHOW, IR.GetItem("Popup 1"), function()
{ 
   // command=GetStatus
   // answer: RECORD: READY, STREAM: DISABLED, NAME:DIS-REC-1
   IR.GetDevice("DIS-REC").SendEx({ 
         Type: "GET",        															
         Url:  "/Monarch/syncconnect/sdk.aspx?command=GetStatus",
         Headers: {},       
         cbReceiveText:       function(text, code, headers)  
         {
            var params = text.split(",");
            for (i = 0; i < params.length; i++)
            {
               var state = params[i].split(":");
               //IR.Log(params[i]);
               
               var param_name = state[0].replace(/\s/g,"");         
               switch(param_name)
               {
                  case "RECORD":
                     IR.GetPage("Page 1").GetItem("Item 2").Text =  state[1];
                  break;
                  case "STREAM":
                     IR.GetPage("Page 1").GetItem("Item 3").Text =  state[1];
                  break;
                  case "NAME":
                     IR.GetPage("Page 1").GetItem("Item 4").Text =  state[1];
                  break;
               }
            }
         }
   });
});